Commits

Scott Lawrence committed d4f01d7

create standard build

Comments (0)

Files changed (5)

+syntax: glob
+stage/
+autobuild-parabuild-bootstrap/
+# Use Public Upload Locations
+public_build = true
+build_Linux = False
+build_CYGWIN = False
+<?xml version="1.0" ?>
+<llsd>
+<map>
+    <key>package_description</key>
+    <map>
+      <key>copyright</key>
+      <string>Copyright © 1999-2006 Ralf S. Engelschall &lt;rse@gnu.org&gt;</string>
+      <key>description</key>
+      <string>GNU Portable Threads</string>
+      <key>license</key>
+      <string>LGPL</string>
+      <key>license_file</key>
+      <string>LICENSES/pth.txt</string>
+      <key>name</key>
+      <string>pth</string>
+      <key>platforms</key>
+      <map>
+        <key>darwin</key>
+        <map>
+          <key>build_directory</key>
+          <string>stage</string>
+          <key>configurations</key>
+          <map>
+            <key>default</key>
+            <map>
+              <key>build</key>
+              <map>
+                <key>command</key>
+                <string>bash</string>
+                <key>options</key>
+                <array>
+                  <string>-c</string>
+                  <string>../build-cmd.sh</string>
+                </array>
+              </map>
+              <key>default</key>
+              <string>true</string>
+              <key>name</key>
+              <string>default</string>
+            </map>
+          </map>
+          <key>manifest</key>
+          <array>
+            <string>LICENSES/pth.txt</string>
+            <string>lib/*.a</string>
+            <string>bin/*</string>
+            <string>include/pth/*.h</string>
+            <string>lib/*.dylib</string>
+            <string>lib/*.la</string>
+          </array>
+          <key>name</key>
+          <string>darwin</string>
+        </map>
+      </map>
+      <key>version</key>
+      <string>2.0.7</string>
+    </map>
+    <key>type</key>
+    <string>autobuild</string>
+    <key>version</key>
+    <string>1.2</string>
+  </map>
+</llsd>
+#!/bin/bash
+
+cd "$(dirname "$0")"
+
+# turn on verbose debugging output for parabuild logs.
+set -x
+# make errors fatal
+set -e
+
+PTH_VERSION="2.0.7"
+PTH_SOURCE_DIR="pth-$PTH_VERSION"
+
+if [ -z "$AUTOBUILD" ] ; then 
+    fail
+fi
+
+# load autbuild provided shell functions and variables
+set +x
+eval "$("$AUTOBUILD" source_environment)"
+
+stage="$(pwd)/stage"
+pushd "${stage}"
+tar xzf "../${PTH_SOURCE_DIR}.tar.gz"
+
+pushd "$PTH_SOURCE_DIR"
+    case "$AUTOBUILD_PLATFORM" in
+        "windows")
+            :
+        ;;
+        "darwin")
+            ./configure --prefix="$stage"
+            make
+            make install
+			mkdir -p "$stage/include/pth"
+			mv "$stage/include/"*.h "$stage/include/pth/"
+        ;;
+        "linux")
+            :
+        ;;
+    esac
+    mkdir -p "$stage/LICENSES"
+    tail -n 31 README > "$stage/LICENSES/pth.txt"
+popd
+popd
+set -x
+
+pass
+

pth-2.0.7.tar.gz

Binary file added.